%global with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}

Name:           jempbox
Version:        0.8.0
Release:        6%{?dist}
Summary:        Java library for working with XMP metadata

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://incubator.apache.org/pdfbox/
Source0:        http://www.apache.org/dist/incubator/pdfbox/%{name}/source/%{name}-%{version}-incubating-src.jar
#Disable downloading of required jars
Patch0:         %{name}-0.8.0-local.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant-junit

%if %{with_gcj}
BuildRequires:    java-gcj-compat-devel >= 1.0.31
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch:      noarch
%endif

Requires:       jpackage-utils
Requires:       java

%description
Apache JempBox is an open source Java library for working with XMP metadata.


%package javadoc
Summary:        Javadocs for %{name}
Group:          Development Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{version}-incubating
%patch0 -p1 -b .local
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
#Fix line endings
find -name '*.txt' -exec sed -i 's/\r//' '{}' +


%build
ant package javadoc


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{version}-incubating.jar \
  $RPM_BUILD_ROOT%{_javadir}/
ln -s %{name}-%{version}-incubating.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}-incubating.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp website/build/site/javadoc \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}

%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%post
%if %{with_gcj}
  if [ -x %{_bindir}/rebuild-gcj-db ] 
  then
    %{_bindir}/rebuild-gcj-db
  fi
%endif

%postun
%if %{with_gcj}
  if [ -x %{_bindir}/rebuild-gcj-db ] 
  then
    %{_bindir}/rebuild-gcj-db
  fi
%endif


%files
%defattr(-,root,root,-)
%doc LICENSE.txt NOTICE.txt README.txt RELEASE-NOTES.txt
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}-%{version}-incubating.jar
%if %{with_gcj}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}


%changelog
* Thu Oct 15 2009 Orion Poplawski <orion@cora.nwra.com> - 0.8.0-6
- Add javadoc subpackage

* Thu Oct 15 2009 Orion Poplawski <orion@cora.nwra.com> - 0.8.0-5
- Reverse symbolic links

* Thu Oct 15 2009 Orion Poplawski <orion@cora.nwra.com> - 0.8.0-4
- Fix jar naming and add symbolic links

* Wed Oct 14 2009 Orion Poplawski <orion@cora.nwra.com> - 0.8.0-3
- Add comment for patch
- Fix line endings
- Add GCJ support

* Mon Oct 12 2009 Orion Poplawski <orion@cora.nwra.com> - 0.8.0-2
- Fix BuildRequires

* Mon Oct 5 2009 Orion Poplawski <orion@cora.nwra.com> - 0.8.0-1
- Initial Fedora Package
